#### D.15.8.24 grrndmat

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grrndmat(src,dst[,p,b]), intvec src, dst[, int p, b]

Return:
  matrix of polynomials

Purpose:
  generate random matrix compatible with src and dst gradings

Note:
  optional arguments p, b are for 'sparsepoly' (by default: 75%, 30000).

Todo:
  this is experimental at the moment!

Example:

    LIB "gradedModules.lib";
    ring r=32003,(x,y,z),dp;
    print( grrndmat( intvec(0, 1), intvec(1, 2, 3) ) );
    ==> 6204y,                    -7833,
    ==> -12498xz+12773z2,         5664z,
    ==> -10041x3-11973x2y-5644xy2,-7740xy-5361z2

User manual for Singular version 4.4.1, 2025, generated by texi2html.